// MenusView.cpp : implementation of the CMenusView class
//

#include "stdafx.h"
#include "Menus.h"

#include "MenusDoc.h"
#include "MenusView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMenusView

IMPLEMENT_DYNCREATE(CMenusView, CView)

BEGIN_MESSAGE_MAP(CMenusView, CView)
	//{{AFX_MSG_MAP(CMenusView)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMenusView construction/destruction

CMenusView::CMenusView()
{
	m_info.SetSourceText(_T("<txt res='html:idr_info'>"));
}

CMenusView::~CMenusView()
{
}

BOOL CMenusView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CMenusView drawing

void CMenusView::OnDraw(CDC* pDC)
{
	CMenusDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// Drawing the Intro document in the middle of the screen:
	RECT r;
	GetClientRect(&r);
	m_info.Draw(*pDC, (r.right - m_info.Width)/2, (r.bottom - m_info.Height)/2);
}

/////////////////////////////////////////////////////////////////////////////
// CMenusView diagnostics

#ifdef _DEBUG
void CMenusView::AssertValid() const
{
	CView::AssertValid();
}

void CMenusView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CMenusDoc* CMenusView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMenusDoc)));
	return (CMenusDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMenusView message handlers


